Subject: Re: bug#71107: 29.3; eshell-hist/Incorrect history handling with eshell-hist-ignoredups 'erase

From: Robin Campbell Joy <[email-masked]>
Date: Thu, 23 May 2024 08:22:37 +0200

On Thu, 23 May 2024 at 06:35, Jim Porter <[email-masked]> wrote:

> I believe this should already be fixed by commit 7b0f24ab1f9 from
> bug#63360.
>
> However, I didn't bother to account for the case where there may be
> multiple entries to remove (I just added a FIXME note since it seemed
> like a low priority). If removing multiple duplicates is important to
> you, would you be willing to rebase your patch on top of the master
> branch? Thanks either way.
>

Thanks, not sure why I didn't find this when looking for an existing bug,
should have checked master first though.

Attached the rebased patch. Thanks for fixing this.